base-passwd (3.5.39) unstable; urgency=medium

  * Policy version 3.9.6: no changes required.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 15:03:22 +0000

base-passwd (3.5.38) unstable; urgency=medium

  [ Colin Watson ]
  * Simplify dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2) build-dependency
    (see changelog for 3.5.26) to just dpkg (>= 1.16.4), since that was some
    time ago and wheezy has a sufficient version now, and the more elaborate
    form causes a complaint from debcheck.
  * Allocate uid/gid 64045 for ceph object storage, by request of Gaudenz
    Steinlin.
  * Allocate uid/gid 64050 for the Evergreen ILS, by request of Robin H.
    Johnson.

  [ Juan Picca ]
  * Make documentation build reproducible (closes: #792520).

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2015 13:26:42 +0100

base-passwd (3.5.37) unstable; urgency=medium

  * Debconf translations:
    - Dutch (thanks, Frans Spiesschaert; closes: #765361).
    - Danish (thanks, Joe Hansen; closes: #765853).
  * Copy /etc/passwd and /etc/group from the master files in the preinst on
    initial install, to be more tolerant of bootstrapping tools that
    configure the Essential set in slightly different orders (based on a
    patch from Michael Tautschnig; see #766459 and #767999).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2014 15:44:29 +0000

base-passwd (3.5.36) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:21:43 +0100

base-passwd (3.5.35) unstable; urgency=medium

  * Build with all hardening options (thanks, Markus).

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 18:15:08 +0100

base-passwd (3.5.34) unstable; urgency=medium

  * Debconf translations:
    - Italian (thanks, Beatrice Torracca; closes: #744344).
  * Update Vcs-Browser URL for alioth cgit.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Aug 2014 18:10:48 +0100

base-passwd (3.5.33) unstable; urgency=medium

  * Debconf translations:
    - French (thanks, Steve Petruzzello; closes: #736506).
    - German (thanks, Chris Leick; closes: #738363).
    - Japanese (thanks, victory; closes: #740040).

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Apr 2014 18:35:41 +0100

base-passwd (3.5.32) unstable; urgency=medium

  * Debconf translations:
    - Portuguese (thanks, Américo Monteiro; closes: #735036).
    - Russian (thanks, Yuri Kozlov; closes: #735480).
  * update-passwd(8) translations:
    - German (thanks, Helge Kreutzmann; closes: #735149).
    - Portuguese (thanks, Américo Monteiro; closes: #735247).

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2014 13:06:09 +0000

base-passwd (3.5.31) unstable; urgency=medium

  * Pick up version number for "update-passwd --version" from autoconf,
    rather than having a separate manually-updated and out-of-date
    version.h.
  * Convert hand-crafted Makefiles to Automake.
  * users-and-groups: Add a little more commentary on gnats.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2014 13:39:58 +0000

base-passwd (3.5.30) unstable; urgency=medium

  [ Colin Watson ]
  * Remove config.h.in and configure, now autogenerated by dh-autoreconf.
  * Change the shell of all global static users other than root (which
    retains /bin/sh) and sync (as /bin/sync is rather harmless) to
    /usr/sbin/nologin (closes: #274229; LP: #216813, #248844).
  * Policy version 3.9.5.

  [ Russ Allbery ]
  * Add support for debconf prompting to update-passwd (closes: #184979).

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jan 2014 15:41:06 +0000

base-passwd (3.5.29) unstable; urgency=low

  * Use dh-autoreconf.
  * Switch to git; adjust Vcs-* fields.
  * Only update POT/PO files at clean time if man/Makefile exists.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Jan 2014 16:31:23 +0000

base-passwd (3.5.28) unstable; urgency=low

  * Force gzip compression for .deb, to avoid causing problems for
    debootstrap on non-Debian-based systems following dpkg 1.17.0.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2013 08:40:39 +0100

base-passwd (3.5.27) unstable; urgency=low

  * Update to Autoconf 2.69.
  * Convert packaging to a modern debhelper style.  The original reason for
    avoiding helper tools in base-passwd was to ease bootstrapping; but
    nowadays the sensible way to bootstrap is to cross-build, and all the
    helper tools are Multi-Arch: foreign so can safely be used in
    cross-building environments.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Aug 2013 11:04:58 +0100

base-passwd (3.5.26) unstable; urgency=low

  * Build-depend on dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2) to ensure
    that #675613 does not cause incorrect generation of documentation
    (closes: #678570).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2012 09:35:04 +0100

base-passwd (3.5.25) unstable; urgency=low

  * users-and-groups: Document historical meaning of sys user/group (thanks
    to Mantas M. for the tip).
  * Use dpkg-buildflags to enable hardening options (based on a patch from
    Moritz Muehlenhoff; closes: #655501).
  * Update users-and-groups documentation of the sudo group to describe
    current behaviour and mention pkexec (thanks, Luca Capello; closes:
    #650553).

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 11:40:25 +0100

base-passwd (3.5.24) unstable; urgency=low

  * Mark base-passwd Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Nov 2011 13:13:39 +0000

base-passwd (3.5.23) unstable; urgency=low

  * Convert to source format 3.0 (native).
  * Update to current DEP-5 copyright proposal (thanks, Kyle Nitzsche; part
    of LP #610108).
  * Remove unused Lintian overrides.
  * Add translations of update-passwd(8):
    - Spanish (thanks, Omar Campagne; closes: #604455).
    - Japanese (thanks, KURASAWA Nozomu; closes: #614377).
    - German (thanks, Helge Kreutzmann; closes: #625898).
  * Allocate gid 64040-64044 (grsec-tpe, grsec-sock-all, grsec-sock-clt,
    grsec-sock-srv, grsec-proc) for linux-grsec-base, by request of
    Yves-Alexis Perez.
  * Update Vcs-Bzr field for Alioth changes.
  * Allow cross-building (thanks, Peter Pearse and Wookey; closes: #631954).
  * Add build-arch and build-indep targets.
  * Fix typo in description of -v in update-passwd(8), and unfuzzy
    translations (thanks, Helge Kreutzmann; closes: #625900).

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jul 2011 12:52:47 +0100

base-passwd (3.5.22) unstable; urgency=low

  * Compress files using gzip -n (cf. debhelper 6.0.6).
  * Remove explicit calls to install-docs (cf. debhelper 7.2.3).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 00:07:19 +0100

base-passwd (3.5.21) unstable; urgency=low

  * Set up the root user without a password by default, rather than giving
    it an empty password. In this day and age the latter is not really a
    defensible default (LP: #296841).
  * Update description of dip group, based on a suggestion by Osamu Aoki
    (closes: #512938).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Mar 2009 13:37:23 +0000

base-passwd (3.5.20) unstable; urgency=medium

  * Document that the staff group is typically root-equivalent (thanks, Guy
    Hulbert).

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Feb 2009 16:20:12 +0000

base-passwd (3.5.19) unstable; urgency=low

  * Allocate uid/gid 64035 for hacluster/haclient (Horms, closes: #494070).
  * Moved to bzr.debian.org; add Vcs-Bzr control field.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Sep 2008 15:27:12 +0100

base-passwd (3.5.18) unstable; urgency=low

  * Convert manual pages to UTF-8.
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Update a few copyright notices.
  * Convert to machine-readable copyright format, wiki revision 179.
  * Update to new section hierarchy from doc-base >= 0.8.10.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jul 2008 15:11:07 +0100

base-passwd (3.5.17) unstable; urgency=low

  * hal was renamed to haldaemon in hal 0.5.7.1-1 (closes: #452631).
  * Make the description of plugdev in users-and-groups slightly more
    generic; I don't want to end up having to list all the programs that
    implement it, but "can access removable devices" should be good enough
    (closes: #285732).
  * Add Russian translation of update-passwd(8) (thanks, Yuri Kozlov;
    closes: #461732).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jan 2008 14:43:50 +0000

base-passwd (3.5.16) unstable; urgency=low

  * Register users-and-groups with doc-base (closes: #451680).

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Nov 2007 00:44:46 +0000

base-passwd (3.5.15) unstable; urgency=low

  * Use autotools-dev's recommended ./configure --build and --host options
    (closes: #451123).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:00:42 +0000

base-passwd (3.5.14) unstable; urgency=low

  * Allocate uid/gid 64030 for slurm (Gennaro Oliva, closes: #444412).
  * Update to Autoconf 2.61.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 10:40:26 +0000

base-passwd (3.5.13) unstable; urgency=low

  * users-and-groups improvements from Justin Pryzby (closes: #440306):
    - jabberd no longer runs as daemon.
    - www-data no longer owns log files as of apache2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 Aug 2007 13:58:21 +0100

base-passwd (3.5.12) unstable; urgency=low

  * Change section to admin, matching the override file.
  * Support DEB_BUILD_OPTIONS=nostrip (closes: #436542).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Aug 2007 11:44:44 +0100

base-passwd (3.5.11) unstable; urgency=low

  * Update GPL notices with the FSF's new address.
  * Add po4a infrastructure and French translation of update-passwd(8)
    (thanks, Nicolas François; closes: #326550).
  * Fix syntax error in ssh group documentation.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Dec 2005 10:51:34 +0000

base-passwd (3.5.10) unstable; urgency=low

  * Remove preinst, for several reasons:
    - the 'dpkg --assert-support-predepends' check isn't guaranteed to be
      effective anyway (it tests the current version of dpkg on the system,
      not the one that's performing the upgrade);
    - dpkg has supported Pre-Depends since 1996;
    - it unnecessarily required dpkg to have been configured when running
      base-passwd.preinst (#316084).
  * users-and-groups improvements from David Mandelberg (closes: #290237):
    - Document messagebus, postfix, hal, gdm, saned, klog, and syslog users
      and groups.
    - Document sshd, fetchmail, and cupsys users.
    - Document lpadmin, sasl, scanner, and ssh groups.
    - Correct "writeable" to "writable" throughout.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jun 2005 15:01:00 +0100

base-passwd (3.5.9) unstable; urgency=low

  * Add and document static group plugdev, gid 46, for use by pmount and
    similar tools to allow local users to mount removable devices without
    the need for entries in /etc/fstab (closes: #283233).

 -- Colin Watson <cjwatson@debian.org>  Sat,  4 Dec 2004 10:15:06 +0000

base-passwd (3.5.8) unstable; urgency=low

  * Fix typoes in README.
  * Clarify in README that packages may not make use of ids in the
    60000-64999 range without *first* having them allocated by this package.
  * Allocate static uid/gid 64025 for vpopmail/vchkpw (Pawel Wiecek,
    closes: #270719).

 -- Colin Watson <cjwatson@debian.org>  Thu,  9 Sep 2004 00:06:00 +0100

base-passwd (3.5.7) unstable; urgency=low

  * Improve documentation of 'operator' (Peter Benie).
  * In fact, remove the 'operator' user (not group) entirely from new
    installations. It will not be automatically removed from existing
    installations. Its uses are historical and not well-supported by Debian
    anyway, and a local administrator can easily set up something
    appropriate without it having to be in everyone's /etc/passwd file
    (closes: #198943).

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Jan 2004 14:40:21 +0000

base-passwd (3.5.6) unstable; urgency=low

  * Show names of groups when changing users' group ids (closes: #217511).
    This incidentally means that group has to be updated before passwd,
    since groups might be changed in the same update-passwd run.
  * Update Standards-Version: to 3.6.0. Higher policy versions require
    prompting via debconf, which is a major code change that hasn't been
    done yet.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Jan 2004 11:58:19 +0000

base-passwd (3.5.5) unstable; urgency=low

  * Add md5sums control file.

 -- Colin Watson <cjwatson@debian.org>  Tue,  9 Dec 2003 02:24:15 +0000

base-passwd (3.5.4) unstable; urgency=low

  * Move the man pages into their own directory in the source package.
  * Change irc's home directory to /var/run/ircd, which seems to exist in
    most ircd-providing packages (closes: #198913).
  * Update Standards-Version: to 3.5.10.

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Jun 2003 23:45:58 +0100

base-passwd (3.5.3) unstable; urgency=low

  * The noautoadd flag has been broken since 3.2.0: update-passwd was
    looking at the wrong id. Fortunately, since noautoadd entries aren't in
    the master files, this didn't matter except that it caused a segfault on
    empty system files (closes: #189196).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2003 13:44:55 +0100

base-passwd (3.5.2) unstable; urgency=low

  * Fix groff problems, mainly the use of "-", throughout update-passwd(8).
    I've attempted to keep the Polish translation in step.
  * Allocate static uid/gid 64020 for asterisk (Jeff Noxon).
  * Update Standards-Version: to 3.5.9.

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Apr 2003 15:14:49 +0100

base-passwd (3.5.1) unstable; urgency=low

  * For consistency with the rest of group.master, don't put the lp user in
    its group explicitly. We pick that up from passwd.master already.
  * Avoid using the 'users' group for any system users (part of #25882):
    - Change the sync user's group to nogroup.
    - Change the games user's group to be the already-existing games group.
    - Create a man group (gid 12) and set that as the man user's group.
  * Don't use 'command -v' in postinst; include a pure shell implementation
    instead.
  * Make '[' argument syntax in postinst strict enough that posh can cope
    with it.
  * Change nobody's home directory to /nonexistent (the name is mostly for
    documentation purposes), following the BSDs (closes: #135732).
  * Strip update-passwd after installing it into the temporary tree, not
    before.
  * Fix a segfault while removing accounts.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Feb 2003 01:35:18 +0000

base-passwd (3.5.0) unstable; urgency=low

  * Remove the postgres user and group for new installations, although not
    on upgrades. postgresql 7.1release-3 and up will create a user and group
    for itself in the system range (closes: #81222, #95557).
  * When using fget*ent_r(), we're supposed to reallocate larger and larger
    chunks of memory until we find one in which each passwd/group/shadow
    line fits, and there's an arbitrary limit on the length of lines because
    we don't. Since update-passwd is single-threaded, this is unnecessary;
    just use fget*ent() and copy the returned structures (closes: #109038).

 -- Colin Watson <cjwatson@debian.org>  Sat,  8 Feb 2003 00:25:32 +0000

base-passwd (3.4.7) unstable; urgency=low

  * Clarify description (thanks, Filip Van Raemdonck; closes: #178170).
  * Make -v/--verbose, and thus the postinst, a little less verbose. A
    second -v option restores the previous level of verbosity.
  * Build with -Wall. Implement DEB_BUILD_OPTIONS=noopt.
  * users-and-groups:
    - Add Robert Bihlmeyer's comments about daemon, sys, tty, lp, and
      nogroup (closes: #178460).
    - Improvements to nobody/nogroup and operator documentation suggested by
      Tony Finch.
    - Include LSB 1.3 comments on bin and daemon.

 -- Colin Watson <cjwatson@debian.org>  Sat,  1 Feb 2003 18:01:49 +0000

base-passwd (3.4.6) unstable; urgency=low

  * Build users-and-groups.txt as well as users-and-groups.html.
  * Clarify the purpose of group mail a little.
  * Per Debian policy, utmp can write to /var/log/wtmp and /var/log/lastlog
    as well, so document this.
  * Update Standards-Version: to 3.5.8.
  * Correct "changing shell" message to print both the original and new
    values (thanks, Joost van Baal; closes: #178057).
  * Include Polish translation of update-passwd(8) (thanks, Marcin Owsiany;
    closes: #160146).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jan 2003 19:27:09 +0000

base-passwd (3.4.5) unstable; urgency=medium

  * Fix a thinko that caused update-passwd never to add new passwd/group
    entries unless a NIS compat entry was present (closes: #174187).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2002 17:46:39 +0000

base-passwd (3.4.4) unstable; urgency=low

  * Downcase the short description, apart from "Debian" (closes: #134614).
  * Add initial informative documentation of the global static users and
    groups (closes: #50304). This is a work in progress, so feel free to
    send suggestions and corrections.
  * Ensure that new entries are added before "+" entries (which ignore the
    rest of the file and switch to NIS) (closes: #166756). Existing entries
    are reordered if and only if they're in the master files. See #130735.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2002 13:21:46 +0000

base-passwd (3.4.3) unstable; urgency=low

  * New maintainer. Thanks, Wichert.
  * Don't fail to configure if nscd isn't running (closes: #166606).
  * Fix typo in update-passwd's usage output (closes: #139981).
  * Print old value of gecos / home directory / shell as well as new value
    (closes: #136227).
  * Fix strip argument typo in debian/rules.
  * Change gecos for list to "Mailing List Manager" (closes: #149466).

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Nov 2002 03:15:06 +0000

base-passwd (3.4.2) unstable; urgency=low

  * Add new sasl group used to regulate access to the sasl secrets
  * Drop prerm
  * No longer make /usr/doc symlinks

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 27 Sep 2002 19:35:30 +0200

base-passwd (3.4.1) unstable; urgency=low

  * Change directory for gnats to /var/lib/gnats on new installs. Do
    not change it for existing systems. Closes: Bug#133121

 -- Wichert Akkerman <wakkerma@debian.org>  Sat,  9 Feb 2002 19:44:57 +0100

base-passwd (3.4.0) unstable; urgency=medium

  * Don't reorder entries while reading them. Closes: Bug#130735

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  3 Feb 2002 22:36:13 +0100

base-passwd (3.3.0) unstable; urgency=medium

  * Fix typo in postinst prompt. Closes: Bug#130662
  * Remove ancient code from Galen from the source
  * Relicense under just version 2 of the GNU GPL
  * Check for noninteractive debconf frontend and handle redirected
    input in the postinst. Closes: Bug#130362
  * Correct extension of backup file in postinst. Closes: Bug#130366
  * Remove all Linux references
  * Be even more paranoid in fputpwent so we can handle syntactically
    incorrect entries as well. Closes: Bug#130192
  * Remove bashisms from debian/rules
  * Do a better job at stripping update-passwd

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 24 Jan 2002 16:44:28 +0100
 
base-passwd (3.2.3) unstable; urgency=high

  * Major paper brown bag release
  * Do not swap uid and gid in putpwent. Closes: Bug#130032
  * If we are upgrading from 3.2.2 explain the uid/gid problem and
    offer to restore the previous passwd file

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 20 Jan 2002 17:08:01 +0100

base-passwd (3.2.2) unstable; urgency=high

  * Implement our own putpwent since the GNU libc version will happily 
    give root access to everyone when encountering NIS compat entries.
    Closes: Bug#123345
  * Fix typo in error message when reading group files
  * Remove majordomo user and group from master passwd and group files
    Closes: Bug#108071,#87214
  * Change mail homedirectory to /var/mail. Closes: Bug#95670
  * Improve test for nscd presence. Hopefully Closes: Bug#95479
  * Include section and priority in control file

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 19 Jan 2002 18:18:17 +0100

base-passwd (3.2.1) unstable; urgency=low

  * Use a 8192 byte buffer for reading passwd and group entries. If
    someone has a group with over 8kb of group members we will still
    break (libc has no way to prevent that), but such a system will
    be so rate I doubt we will even run into it.
    Closes: Bug#51577,#51692,#69819
  * Tell nscd to invalidate the user and group cache if we make any
    changes. Closes: Bug#51943
  * Fix a typo in the update-passwd manpage. Closes: Bug#53857,#75791
  * Don't create the msql user and group anymore by default.
    Closes: Bug#55878,#87213
  * Don't create the dos user and group anymore by default. Closes: Bug#69485
  * Note that tac-plus uses the static uid and gid 64005. Closes: Bug#63759

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 21 Apr 2001 20:30:49 +0200

base-passwd (3.2.0) unstable; urgency=low

  * Update Standards-Version to 3.2.1
  * Modify update-passwd to use seperate flag lists for users and
    groups
  * Actually honour noautoadd flag
  * Use asprintf so we are no longer bound by PATH_MAX limits. This
    has the unfortunate side effect of making update-passwd dependent
    on glibc. We'll deal with that when somebody files a bugreport.

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 15 Oct 2000 14:09:52 +0200

base-passwd (3.1.9) stable unstable; urgency=low

  * Fix typo: we run update-passwsd instead of uppdate-modules.
    Closes: Bug#73668,#74209
  * Modify postinst to not output anything if we're not doing anything,
    and clarify the messages in case something does need to be done.
    Closes: Bug#74106

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  8 Oct 2000 00:50:21 +0200

base-passwd (3.1.8) stable unstable; urgency=low

  * Leave a backup file for modified files. Closes: Bug#72916
  * Update code to atomically replace a file to be more modular
  * Modified --dry-run output to only list modification instead of
    detailed actions. This makes the postinst output simpler.
  * Abort on errors in the postinst
  * Update texts in postinst to better explain what we are doing

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  2 Oct 2000 23:58:59 +0200

base-passwd (3.1.7) unstable; urgency=low

  * Remove qmail accounts, but mark them as special in update-passwd so
    we don't automatically remove them
  * Reserve uids 64010-64016 and gid 64010 for qmail
  * Update README to reflect that we don't always reserve uid&gid pairs

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 14 Jan 2000 01:41:55 +0100

base-passwd (3.1.6) unstable; urgency=high

  * Merge patches from Gordon Matzigkeit <gord@fig.org>:
    + handle broken returnvalue for fget*ent_r from glibc2.0, Closes: #54120
    + if lchown doesn't work also try chown, Closes: #54121

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Jan 2000 23:54:44 +0100

base-passwd (3.1.5) unstable; urgency=high

  * Fix an embarrasing error in copy_group

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 16:35:54 +0100

base-passwd (3.1.4) unstable; urgency=low

  * Don't print an error if the shadow-file doens't exist

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 16:23:01 +0100

base-passwd (3.1.3) unstable; urgency=medium

  * Fix typo in printf format in putgrent()
  * Don't override compilation options in debian/rules

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 15:53:36 +0100

base-passwd (3.1.2) unstable; urgency=medium

  * Check gr_mem for NULL in our putgrent substitute

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 01:44:46 +0100

base-passwd (3.1.1) unstable; urgency=medium

  * Bump Standards-Version to 3.1.1 (nicely in sync with our own version :)
  * Add missing fallback-return for scan_users
  * Index special users by id instead of name so we can handle strangely
    named entries (like proftp'd anonftp or root-aliases) 
  * Update the README

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 30 Nov 1999 17:02:27 +0100

base-passwd (3.1) unstable; urgency=medium

  * autoconfed the source so we can detect systems without putgrent()
    and provide use our own implementation of putgrent 
  * Don't abort if the shadow-file doesn't exist
  * Add new logic to make users special. Use this to remove the special
    cases for root and ftp and keep the homedirectory for www-data.
  * Update README to document new behaviour

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 30 Nov 1999 15:59:34 +0100

base-passwd (3.0.7) unstable; urgency=low

  * We no longer need to add the utmp-group manually in the postinst,
    update-passwd will do that for us.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:57:15 +0100
 
base-passwd (3.0.6) unstable; urgency=low

  * Fix slight error in postinst
  * Change the wording of messages in the postinst

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:49:34 +0100

base-passwd (3.0.5) unstable; urgency=low

  * Make postinst smarted to check if changes should be made, and if so
    ask the user if he agrees.
  * Update the README

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:43:40 +0100

base-passwd (3.0.4) unstable; urgency=low

  * Add newline at the end of the usage information
  * Add video group with gid 44
  * Reserve uid&gid for mysql, Closes: #28158
  * Run update-passwd without --dry-run but with --verbose

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 02:32:32 +0100

base-passwd (3.0.3) experimental; urgency=low

  * Handle NIS entries in group as well

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 15 Nov 1999 00:59:02 +0100

base-passwd (3.0.2) experimental; urgency=low

  * Set standards-version to 3.0.1 to make lintian silent
  * Pass description of what we are processing to process_(new|old)_entries
  * Set umask in put_file_in_place() so we can use it elsewhere as well

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 13:44:56 +0100

base-passwd (3.0.1) experimental; urgency=low

  * Don't attempt to lock when doing a dry run
  * Also copy the gid when we're copying a passwd-node
  * Set umask to 0077 before creating any files
  * Copy filemodes and ownership to new file

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 04:22:49 +0100

base-passwd (3.0) experimental; urgency=low

  * Change homedirectory for man to /var/cache/man
  * Complete rewrite of update-passwd
  * Call update-passwd --dry-run in the postinst so people get
    a chance to check for bugs before we destroy their system

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 04:02:08 +0100

base-passwd (2.1.1) unstable; urgency=low

  * Update location of GPL in copyright
  * Actually change maintainer in debian/control
  * Completely redid debian/rules
  * FHS
  * Use Pre-Depends instead of Depends 

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  5 Nov 1999 14:06:32 +0100

base-passwd (2.1) unstable; urgency=low

  * New maintainer
  * Update versionnumber for no reason at all

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  5 Nov 1999 13:42:10 +0100

base-passwd (2.0.3.5) unstable; urgency=high

  * Non-maintainer upload
  * Fix homedirectory for postgres user, Closes: Bug# 47264

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 30 Oct 1999 14:05:32 +0200

base-passwd (2.0.3.4) unstable; urgency=high

  * Non-maintainer upload
  * Add utmp group (gid 43)
  * Rename changelog to just `changelog'

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 16 Jul 1999 14:24:17 +0200

base-passwd (2.0.3.3) frozen unstable; urgency=high

  * update-passwd.c (main): on --sanity-check exit both on failure *and*
    success (with an appropriate return value).
  * update-passwd.c (main): run sanity_check() unconditionally.
  * update-passwd.c (sanity_check): more descriptive error message.
  * README: correct location of master /etc/passwd and /etc/group.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 22 May 1998 18:29:09 +0200

base-passwd (2.0.3.2) frozen unstable; urgency=low

  * Non-maintainer release.  
  * debian/rules: swap binary-indep and binary-arch. [#20219, #20766]
  * update-passwd.8: refer to /usr/share/base-passwd/ not
    /usr/lib/base-passwd/. [#20917]
  * passwd.master: backup's home directory is /var/backups. [#20462]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 13 Apr 1998 00:07:45 +0200

base-passwd (2.0.3.1) unstable; urgency=HIGH

  * Emergency release; don't call update-passwd in postinst

 -- Galen Hazelwood <galenh@micron.net>  Thu, 19 Mar 1998 19:04:53 -0700

base-passwd (2.0.3) unstable; urgency=low

  * Added special hack to move ftp user out of slot 11 (#12826)
  * Moved into unstable (at last!)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 15 Mar 1998 15:40:49 -0700

base-passwd (2.0.2) experimental; urgency=low

  * Removed dos uid/gid
  * Changed majordom's full name to "Majordomo" (#13766)
  * Fixed unbelievably stupid bug in update-passwd (#13765, #13862)

 -- Galen Hazelwood <galenh@micron.net>  Tue, 14 Oct 1997 12:15:58 -0600

base-passwd (2.0.1) experimental; urgency=low

  * Fixed gnats home directory (#11073, #12655)
  * update-passwd now enforces correct passwd/group file permissions
  * Moved master files to /usr/share/base-passwd

 -- Galen Hazelwood <galenh@micron.net>  Mon, 15 Sep 1997 13:19:30 -0600

base-passwd (2.0.0) experimental; urgency=low

  * New utility "update-passwd" to automatically handle passwd/group updates
  (#6502, #7792)	
  * /etc/passwd and /etc/group are now detached from any package
  * Moved master files to /usr/lib/base-passwd

 -- Galen Hazelwood <galenh@micron.net>  Sat,  6 Sep 1997 17:11:37 -0600

base-passwd (1.3.2) unstable; urgency=low

  * Added msql uid/gid (#12140)
  * Added one-line description (#10167)

 -- Galen Hazelwood <galenh@micron.net>  Mon, 18 Aug 1997 15:34:00 -0600

base-passwd (1.3.1) frozen unstable; urgency=low

  * Added qmail uids/gid from Christian Hudon

 -- Galen Hazelwood <galenh@micron.net>  Fri, 28 Mar 1997 11:51:02 -0700

base-passwd (1.3.0) unstable; urgency=low

  * New maintainer
  * Fixed majordomo and postgres problems (fixes bugs #3002, #4295)
  * Removed entries above 99 (fixes bug #4849)
  * Fixed SmartList name (fixes bug #7838)
  * Added shadow group with gid 42
  
 -- Galen Hazelwood <galenh@micron.net>  Fri, 7 Mar 1997 13:00:17 -0700

base-passwd (1.2.0-5) unstable; urgency=low

  * Changed UID for Gnats to 41, and added a Gnats group (GID 41) at the
    request of Brian C. White.

 -- Philippe Troin <phil@fifi.org>  Thu, 16 Jan 1997 01:05:28 -0800

base-passwd (1.2.0-4) unstable; urgency=low

  * Changed the home directory for the list entry from /var to /var/list.

 -- Philippe Troin <phil@fifi.org>  Mon, 6 Jan 1997 20:35:33 -0800

base-passwd (1.2.0-3) frozen unstable; urgency=low

  * Removed the ftp entry from both passwd and group.
  * Removed the unnecessary users root for group root and nobody for group
    nogroup.
  * Added a UID and GID for `list' (ID 38)
  * Added a UID and GID for `irc' (ID 39)

 -- Philippe Troin <phil@fifi.org>  Thu, 21 Nov 1996 00:46:37 -0800

base-passwd (1.2.0-2) frozen unstable; urgency=low

  * Changed debian/rules not to use debmake.
  * Fixed the sudo entry in /etc/group.

 -- Philippe Troin <phil@fifi.org>  Mon, 18 Nov 1996 00:58:58 -0800

base-passwd (1.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@beagle.pixar.com>  Wed, 13 Nov 1996 18:38:10 -0800
